Subject: Re: [PATCH net-next v2 09/12] selftests: ncdevmem: Remove hard-coded queue numbers

From: Stanislav Fomichev <[email-masked]>
Date: Thu, 3 Oct 2024 10:02:41 -0700

On 10/03, Mina Almasry wrote:
> On Mon, Sep 30, 2024 at 10:18 AM Stanislav Fomichev <[email-masked]> wrote:
> >
> > Use single last queue of the device and probe it dynamically.
> >
> 
> Sorry I know there was a pending discussion in the last iteration that
> I didn't respond to. Been a rough week with me out sick a bit.
> 
> For this, the issue I see is that by default only 1 queue binding will
> be tested, but I feel like test coverage for the multiple queues case
> by default is very nice because I actually ran into some issues making
> multi-queue binding work.
> 
> Can we change this so that, by default, it binds to the last rxq_num/2
> queues of the device?

I'm probably missing something, but why do you think exercising this from
the probe/selftest mode is not enough? It might be confusing for the readers
to understand why we bind to half of the queues and flow steer into them
when in reality there is only single tcp flow.

IOW, can we keep these two modes:
1. server / client - use single queue
2. selftest / probe - use more than 1 queue by default (and I'll remove the
   checks that enforce the number of queues for this mode to let the
   users override)